Batch delete rollup and summary data

Base URL
https://{kibana_url}
  • POST /s/{spaceId}/api/observability/slos/_bulk_purge_rollup
Auth

The deletion occurs for the specified list of sloId. You must have all privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Path parameters

spaceId string required

An identifier for the space. If /s/ and the identifier are omitted from the path, the default space is used.

Example: default

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

list string[] required

An array of slo ids

purgePolicy union oneOf required

Policy that dictates which SLI documents to purge based on age

One of:
purgeType enum

Specifies whether documents will be purged based on a specific age or on a timestamp

Values: fixed-age
age string

The duration to determine which documents to purge, formatted as {duration}{unit}. This value should be greater than or equal to the time window of every SLO provided.

Responses

Successful request

application/json
taskId string

The task id of the purge operation

Bad request

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}